[Stable Update] 2017-05-19 - Kernels, LibreOffice, Mesa, Thunderbird, Cinnamon

update
stable

#85

Reinstalling solved both problems, thank you.


#86

After this update, notifications stopped working in xfce for me. No matter what theme I use, they pop up as text only in the upper-left corner of the screen:

Does anyone have an idea what may be going on there?


#87

Octopi does not detect AUR package updates, Also KDE takes a bit longer to load.


#88

My Octopi does. Received an update notification a couple weeks ago for a package I installed from the AUR. The package does not exist in the Manjaro repos so it had to come from there.


#89

You seem to be using dunst instead of xfce4-notifyd. Do you have 83 installed also by any chance?


#90

VMware Workstation don’t work by a segfault error.

uname -a
Linux manjaro 4.10.16-1-MANJARO #1 SMP PREEMPT Sun May 14 13:45:56 UTC 2017 x86_64 GNU/Linux

Version 12.5.5- 5234757

May 23 10:19:47 manjaro kernel: vmware-modconfi[12020]: segfault at 3680 ip 0000000000003680 sp 00007ffd3a3bed78 error 14 in appLoader[5599310ef000+ad000]
May 23 10:25:30 manjaro kernel: vmware[12091]: segfault at 3680 ip 0000000000003680 sp 00007ffd5013c8b8 error 14 in appLoader[5588cd213000+ad000]

Log in the /tmp files vmware-apploader-xxxxx.log

vmware-modconfig --appname=“VMware Workstation” --icon=“vmware-workstation”

2017-05-23T10:19:47.171+02:00| appLoader| W115: Child process was terminated with signal 11.
2017-05-23T10:19:47.171+02:00| appLoader| W115: Unable to load dependencies for /usr/lib/vmware/lib/libvmware-modconfig.so/libvmware-modconfig.so
2017-05-23T10:19:47.171+02:00| appLoader| W115: Unable to execute /usr/lib/vmware/bin/vmware-modconfig.

/bin/“vmware” “$@”

2017-05-23T10:27:45.014+02:00| appLoader| W115: Child process was terminated with signal 11.
2017-05-23T10:27:45.014+02:00| appLoader| W115: Unable to load dependencies for /usr/lib/vmware/lib/libvmware.so/libvmware.so
2017-05-23T10:27:45.014+02:00| appLoader| W115: Unable to execute /usr/lib/vmware/bin/vmware.


#91

@oberon, you’re right. I’m not sure whether I ever had i3 on that machine, but in any case after removing dunst everything is back to normal again, thanks a lot! :slight_smile:


#92

Vmware Workstation

Version 12.5.5- 5234757

I found a solution for segfault, add the next line:

  • export VMWARE_USE_SHIPPED_LIBS='yes’
    to the /usr/bin/vmware and /usr/bin/vmplayer.

Version 12.5.6-5528349 (with export VMWARE_USE_SHIPPED_LIBS=‘yes’)

There are a problem with the load of the library “libexpat.so.0” because this doesn’t exists. The library now is “libexpat.so.1”.

2017-05-23T11:52:11.246+02:00| appLoader| I125: Loading shipped version of libfontconfig.so.1.
2017-05-23T11:52:11.246+02:00| appLoader| W115: Unable to load libfontconfig.so.1 from /usr/lib/vmware/lib/libfontconfig.so.1/libfontconfig.so.1: libexpat.so.0: cannot open shared object file: No such file or directory
2017-05-23T11:52:11.246+02:00| appLoader| W115: Unable to load dependencies for /usr/lib/vmware/lib/libvmware-modconfig.so/libvmware-modconfig.so
2017-05-23T11:52:11.246+02:00| appLoader| W115: Unable to execute /usr/lib/vmware/bin/vmware-modconfig.

Any idea?


#93

smooth update here (KDE)
i have only one issue…unable to change DNS via network manager (already happened with an old edition)


#94

Did you try to symlink the new one to the old?


#95

I got my keys back to work by adding acpi_osi=Linux acpi=force acpi_enforce_resources=lax drm.vblankoffdelay=1 acpi_backlight=vendor to the kernel parameters line (GRUB_CMDLINE_LINUX=) in the grub config /etc/default/grub
and regenerating the grub.cfg file with grub-mkconfig -o /boot/grub/grub.cfg
After rebooting the keys worked again. Now I only miss the graphics showing the status while changing brightness.
Made possible by: [HowTo] Power savings setup|UPDATE 20170716


#96

VMware Workstation 12.5.6-5528349

Solved: downgrade libpng-1.6 from version 29 to version 28 and now the vmware work.

2017-05-23T17:31:29.140+02:00| appLoader| I125: Unable to load libfontconfig.so.1. /usr/lib/vmware/lib/libz.so.1/libz.so.1: version `ZLIB_1.2.9’ not found (required by /usr/lib/libpng16.so.16)


#97

"I’m afraid we have never signed the packages due to some technical reasons. Nothing has changed in that respect between 3.0.1-7 to 3.0.1-14. "

I have the same issue but on github…This was the statement I found out.


#98

I’m confused. The current meagsync package is 3.1.2.


#99

Yes, i try it, but i found solution with, only, downgrade libpng-1.6 from version 29 to version 28.
downgrade libpng-1.6

Thanks.


#101

I you like the AUR version you can certaily keep it, but it is perpetually backlevel.

If you want the current version direct from Megasync just edit
/etc/pacman.conf and add the following at the bottom:

###REPO for MEGA###
[DEB_Arch_Extra]
SigLevel = Optional TrustAll
Server = http://mega.nz/linux/MEGAsync/Arch_Extra/$arch
###END REPO for MEGA###

You get official clients direct from the source which always seem to work.


#102

I have followed your instructions but I don’t understand how to update it now.

Octopi is stuck in that state and I can’t even close it.


#103

No issues on my new XPS or the desktop, really happy with kernel 4.11, did not measure boot time before and after, but ‘feels’ faster.
Thanks guys


#104

Thunar now wants to show every single mounted folder as a Device, and most of them are also misnamed for some reason…??

No idea what caused this, but it is a usability issue.


#105

I found a solution…
update your openssl.
it will update all softwares that depends on it…e.g. my spotify it won’t last last week…I clone it for the new version but still no good result…but when the system updates the openssl. it work and also megasync work.